import request from '@/common/request';
import { PUBLIC_MODULES_PATH as prefix } from "@/api/AppPath";

export default class LuckyDrawService {
  save (inputForm) {
    return request({
      url: prefix + '/test/mobile/testMobile/save',
      method: 'post',
      data: inputForm
    })
  }

  delete (ids) {
    return request({
      url: prefix + '/test/mobile/testMobile/delete',
      method: 'delete',
      params: {ids: ids}
    })
  }

  queryById (id) {
    return request({
      url: prefix + '/test/mobile/testMobile/queryById',
      method: 'get',
      params: {id: id}
    })
  }

  list (params) {
    return request({
      url: prefix + '/luckyDraw/info/pjList',
      method: 'get',
      params: params
    })
  }

  pjShowList (params) {
    return request({
      url: prefix + '/luckyDraw/info/pjShowList',
      method: 'get',
      params: params
    })
  }
  
  LuckyDraw (id,number,awardId) {
    return request({
      url: prefix + '/luckyDraw/info/luckyDraw',
      method: 'post',
      params: {id: id,number: number,awardId: awardId}
    })
  }
  
  luckyDrawAgain (id,number,awardId) {
    return request({
      url: prefix + '/luckyDraw/info/luckyDrawAgain',
      method: 'post',
      params: {id: id,number: number,awardId: awardId}
    })
  }
  
  luckyDrawClear (id,number,awardId) {
    return request({
      url: prefix + '/luckyDraw/info/luckyDrawClear',
      method: 'post',
      params: {id: id,number: number,awardId: awardId}
    })
  }

  appShowList (params) {
    return request({
      url: prefix + '/luckyDraw/member/appShowList',
      method: 'get',
      params: params
    })
  }
}
